Package org.eclipse.microprofile.metrics.tck.inheritance

## Class InheritedChildGaugeMethodBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.inheritance.InheritedChildGaugeMethodBean

    @ApplicationScoped
    public class InheritedChildGaugeMethodBean
    extends Object

### Constructor Summary

Constructors
`InheritedChildGaugeMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getChildGauge()`
`void` `setChildGauge​(long childGauge)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InheritedChildGaugeMethodBean

    public InheritedChildGaugeMethodBean()

### Method Detail

#### getChildGauge

    public long getChildGauge()

#### setChildGauge

    public void setChildGauge​(long childGauge)